[Python-modules-commits] r21826 - in packages/pyparsing/trunk/debian (5 files)

jandd at users.alioth.debian.org jandd at users.alioth.debian.org
Sat May 19 20:12:11 UTC 2012


    Date: Saturday, May 19, 2012 @ 20:12:05
  Author: jandd
Revision: 21826

  - repack upstream tarball to remove sourceless docs/*.pdf
* add debian/new-upstream and change debian/watch to automate upstream
  repacking
* add debian/README.source to document the repacking
* add get-orig-source to debian/rules
* remove build in debian/rules clean to fix FTBFS twice in a row

Added:
  packages/pyparsing/trunk/debian/README.source
  packages/pyparsing/trunk/debian/new-upstream
Modified:
  packages/pyparsing/trunk/debian/changelog
  packages/pyparsing/trunk/debian/rules
  packages/pyparsing/trunk/debian/watch

Added: packages/pyparsing/trunk/debian/README.source
===================================================================
--- packages/pyparsing/trunk/debian/README.source	                        (rev 0)
+++ packages/pyparsing/trunk/debian/README.source	2012-05-19 20:12:05 UTC (rev 21826)
@@ -0,0 +1,15 @@
+Debian did remove these PDF files from the official upstream released tarball
+since they are sourceless:
+
+docs/pycon06-AdventureEngineUsingPyparsing-notes.pdf
+docs/pycon06-IntroToPyparsing-notes.pdf
+
+a request to add sources for theses files was filed in upstream's issue tracker
+at
+https://sourceforge.net/tracker/?func=detail&aid=3528274&group_id=97203&atid=617311
+
+To get an upstream tarball with these files removed you can execute
+
+debian/rules get-orig-source
+
+ -- Jan Dittberner <jandd at debian.org>, Sat, 19 May 2012 21:59:46 +0200

Modified: packages/pyparsing/trunk/debian/changelog
===================================================================
--- packages/pyparsing/trunk/debian/changelog	2012-05-19 17:22:36 UTC (rev 21825)
+++ packages/pyparsing/trunk/debian/changelog	2012-05-19 20:12:05 UTC (rev 21826)
@@ -1,17 +1,23 @@
-pyparsing (1.5.6-1) unstable; urgency=low
+pyparsing (1.5.6+dfsg1-1) unstable; urgency=low
 
   * Team upload.
   * New upstream release (Closes: #667798)
     - drop patch debian/patches/01_leaveWhitespace.dpatch (upstream
       documentation matches API)
+    - repack upstream tarball to remove sourceless docs/*.pdf
+  * add debian/new-upstream and change debian/watch to automate upstream
+    repacking
+  * add debian/README.source to document the repacking
+  * add get-orig-source to debian/rules
   * switch to source format 3.0 (quilt) (Closes: #670191)
   * drop dpatch dependency
   * switch to dh
   * add documentation and Python3 package (Closes: #667797)
   * switch from python-support to dh_python2 and dh_python3 (Closes:
     #631404)
+  * remove build in debian/rules clean to fix FTBFS twice in a row
 
- -- Jan Dittberner <jandd at debian.org>  Sun, 29 Apr 2012 23:22:28 +0200
+ -- Jan Dittberner <jandd at debian.org>  Sat, 19 May 2012 22:10:35 +0200
 
 pyparsing (1.5.2-2) unstable; urgency=low
 

Added: packages/pyparsing/trunk/debian/new-upstream
===================================================================
--- packages/pyparsing/trunk/debian/new-upstream	                        (rev 0)
+++ packages/pyparsing/trunk/debian/new-upstream	2012-05-19 20:12:05 UTC (rev 21826)
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# new-upstream: Copyright © 2012 by Jan Dittberner <jandd at debian.org>
+#
+# Called by uscan; from uscan(1):
+#
+# Finally,  if a third parameter (an action) is given in the watchfile
+# line, this is taken as the name of a command, and the command
+#  command --upstream-version version filename
+# 
+# is executed, using either the original file or the symlink name.
+#
+# Thanks to Vincent Fourmond's <fourmond at debian.org> freecol package - where he
+# thanks Sam Morris <sam at robots.org.uk> for giving him the idea - for giving me
+# the idea.
+#
+
+# If called manually, this file must be called within the pyparsing/ directory.
+
+version=$2
+filename=`readlink -f $3`
+targetdir=`dirname $filename`
+
+dir=`mktemp -d`
+
+curdir=`pwd`
+
+origname="${targetdir}/pyparsing_${version}+dfsg1.orig.tar.gz"
+
+echo "Repacking pyparsing version $version from $filename"
+
+# Abort on errors:
+set -e
+
+cd "$dir"
+tar xzf "$filename"
+rm -rf \
+    pyparsing-$version/docs/pycon06-AdventureEngineUsingPyparsing-notes.pdf \
+    pyparsing-$version/docs/pycon06-IntroToPyparsing-notes.pdf
+tar czf "$origname" pyparsing-$version
+echo "Repacked tarball is $origname"
+cd -
+rm -rf "$dir"


Property changes on: packages/pyparsing/trunk/debian/new-upstream
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/pyparsing/trunk/debian/rules
===================================================================
--- packages/pyparsing/trunk/debian/rules	2012-05-19 17:22:36 UTC (rev 21825)
+++ packages/pyparsing/trunk/debian/rules	2012-05-19 20:12:05 UTC (rev 21826)
@@ -5,6 +5,7 @@
 
 override_dh_auto_clean:
 	find -name '*.py[co]' -print0 | xargs -0 --no-run-if-empty rm -f --
+	rm -rf build
 	rm -f pyparsing.py
 
 override_dh_auto_install:
@@ -33,3 +34,15 @@
 
 %:
 	dh $@ --with=python2,python3 --buildsystem=python_distutils
+
+# the following rule gets the original source and creates a dfsg free
+# tarball
+get-orig-source:
+	DFSGVER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
+	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p'); \
+	TMPDIR=`mktemp --directory`; \
+	uscan --force-download --download-version=$$VER --destdir="$$TMPDIR"; \
+	cd "$(CURDIR)"; mv "$$TMPDIR/pyparsing_$$DFSGVER.orig.tar.gz" .; \
+	rm -rf "$$TMPDIR"
+
+.PHONY: get-orig-source

Modified: packages/pyparsing/trunk/debian/watch
===================================================================
--- packages/pyparsing/trunk/debian/watch	2012-05-19 17:22:36 UTC (rev 21825)
+++ packages/pyparsing/trunk/debian/watch	2012-05-19 20:12:05 UTC (rev 21826)
@@ -3,4 +3,5 @@
 # If your package is located on sourceforge, use the following format
 # to automatically use the qa.debian.org redirector, avoiding SF's
 # difficult mirror system.
-http://sf.net/pyparsing/pyparsing-(.*)\.tar\.gz
+opts=dversionmangle=s/\+dfsg\d+$// \
+ http://sf.net/pyparsing/pyparsing-(.*)\.tar\.gz debian debian/new-upstream




More information about the Python-modules-commits mailing list